Bug 1495482 - system-upgrade fails when snapper plugin installed
Summary: system-upgrade fails when snapper plugin installed
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras   
(Show other bugs)
Version: 29
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 07:17 UTC by Marek Blaha
Modified: 2019-02-21 02:57 UTC (History)
4 users (show)

Fixed In Version: dnf-plugins-extras-4.0.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-02-21 02:57:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal log after failed system-upgrade (1.09 MB, text/x-vhdl)
2017-09-26 07:17 UTC, Marek Blaha
no flags Details
excerpt from journal (2.26 KB, text/plain)
2017-10-22 09:10 UTC, Ulrich Beckmann
no flags Details
excerpt from dnf.log from test above (11.80 KB, text/plain)
2017-10-22 09:17 UTC, Ulrich Beckmann
no flags Details
Excerpt from journal (7.22 KB, text/plain)
2018-04-26 18:09 UTC, Ulrich Beckmann
no flags Details
Excerpt of journalctl (7.89 KB, text/plain)
2018-10-27 20:03 UTC, Ulrich Beckmann
no flags Details

Description Marek Blaha 2017-09-26 07:17:19 UTC
Created attachment 1330893 [details]
journal log after failed system-upgrade

Description of problem:
Looks like some kind of permissions problem. I think, key lines from log are:

dbus-daemon[633]: [system] Activating service name='org.opensuse.Snapper' requested by ':1.2' (uid=0 pid=627 comm="/usr/libexec/system-python /usr/bin/dnf system-upg" label="system_u:system_r:rpm_t:s0") (using servicehelper)
dbus-daemon[633]: [system] Successfully activated service 'org.opensuse.Snapper'
audit[633]: USER_AVC pid=633 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_return dest=:1.2 spid=639 tpid=627 scontext=system_u:system_r:snapperd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:rpm_t:s0 tclass=dbus exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'
kernel: audit: type=1107 audit(1506336795.134:82): pid=633 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_return dest=:1.2 spid=639 tpid=627 scontext=system_u:system_r:snapperd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:rpm_t:s0 tclass=dbus exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'
dnf[627]: ERROR:dbus.proxies:Introspect error on :1.3:/org/opensuse/Snapper: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
dnf[627]: ERROR:dbus.connection:Unable to set arguments ('root', '/usr/bin/dnf system-upgrade upgrade', 'number', {}) according to signature None: <class 'ValueError'>: Unable to guess signature from an empty dict


And then comes python traceback. Full log is in attachment.

Version-Release number of selected component (if applicable):
master from github

How reproducible:

Steps to Reproduce:
# dnf system-upgrade download --refresh --releasever=27
# dnf system-upgrade reboot


Actual results:
upgrade fails, traceback in system log

Expected results:


Additional info:

Comment 1 Ulrich Beckmann 2017-10-22 09:10 UTC
Created attachment 1341751 [details]
excerpt from journal

Confirmed here. I have running Fedora 26 on btrfs and snapper activated. Though I cannot deduce it snapper is responsible for failure.

Ulrich Beckmann

Comment 2 Ulrich Beckmann 2017-10-22 09:17 UTC
Created attachment 1341752 [details]
excerpt from dnf.log from test above

Comment 3 Ulrich Beckmann 2017-11-04 19:29:26 UTC
I did now an online upgrade to F27 with sucess.
Still have a backup for retest.

Please note that I executed before a sucessfull # dnf system-upgrade with btrfs and active snapper from Mageia 6 to Mageia 7 (Cauldron).

Ulrich

Comment 4 Ulrich Beckmann 2018-04-26 18:09 UTC
Created attachment 1427360 [details]
Excerpt from journal

Retested dnf-system-upgrade with Fedora 27 to 28 (pre-release).

Comment 5 Fedora End Of Life 2018-05-03 08:40:51 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 12:03:34 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Ulrich Beckmann 2018-05-31 17:49:28 UTC
The bug is confirmed and still valid with upgrade Fedora 27 -> 28.

Please reopen! 

I cannot edit the bug status or Fedora version number field due to missing permissions.

Ulrich Beckmann

Comment 8 Jan Kurik 2018-08-14 10:17:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 9 Ulrich Beckmann 2018-10-27 20:03 UTC
Created attachment 1498107 [details]
Excerpt of journalctl

Tested now # dnf system-upgrade Fedora 28 -> Fedora 29 (pre-release).
The bug is still reproducible.

Then I switched SELinux to permissive mode, and the upgrade went trough.

Ulrich

Comment 10 Jaroslav Mracek 2018-12-04 10:16:35 UTC
I belive that the problem should be fixed by https://github.com/rpm-software-management/dnf/pull/1274/.

Comment 11 Fedora Update System 2019-02-18 10:15:49 UTC
libcomps-0.1.10-2.fc29 libdnf-0.26.0-1.fc29 dnf-plugins-core-4.0.4-1.fc29 dnf-plugins-extras-4.0.2-1.fc29 dnf-4.1.0-1.fc29 librepo-1.9.4-1.fc29 createrepo_c-0.12.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 12 Fedora Update System 2019-02-19 06:27:38 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 13 Fedora Update System 2019-02-21 02:57:15 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.